> ### multiple inheritance
>Multiple inheritance means that a class A may have more than one immediate superclass. The extension of a class with multiple immediate superclasses is a subset of the intersection of all extensions of its superclasses. The intension of a class with multiple immediate superclasses extends the intensions of all its superclasses, i.e., its traits are more restrictive than any of its superclasses. If multiple inheritance is used, the resulting “class hierarchy” is a directed graph and not a tree structure. If it is represented as an indented list, there are necessarily repetitions of the same class at different positions in the list.
>For example:
>Person is both an Actor and a Biological Object.

### héritage multiple
L'héritage multiple signifie qu'une classe A peut avoir plus d'une superclasse immédiate. L'extension d'une classe ayant plusieurs superclasses immédiates est un sous-ensemble de l'intersection de toutes les extensions de ses superclasses. L'intension d'une classe ayant plusieurs superclasses immédiates étend les intensions de toutes ses superclasses, c'est-à-dire que ses traits sont plus restrictifs que ceux de n'importe laquelle de ses superclasses. Si l'on utilise l'héritage multiple, la "hiérarchie de classes" résultante est un graphe orienté et non une structure arborescente. Si elle est représentée sous la forme d'une liste indentée, il y a nécessairement des répétitions de la même classe à différentes positions dans la liste. <br>Par exemple : <br>La personne est à la fois un acteur et un objet biologique.
